---
title: Send test webhook
url: https://anyrow.ai/docs/api/webhooks/test
canonical_url: https://anyrow.ai/docs/api/webhooks/test
---

# Send test webhook

`POST /v1/organizations/{organization_id}/webhooks/{id}/test`

Authentication: `Authorization: ApiKey {your_api_key}`.

## Path parameters

- `organization_id` (string, required)
- `id` (string, required)

## Returns

200 `application/json`.

- `http_status` (number, required, nullable)
- `response_body` (string, required, nullable): Up to 1024 characters.
- `status` (string, required): One of `error`, `success`, `timeout`.

## Errors

- 404: `not_found`, `webhook_not_found`

Errors every endpoint can return: [Errors](https://anyrow.ai/docs/api/errors.md).

## Request

```ts title="Node.js"
import { AnyrowSDK } from "@anyrow/sdk"

const anyrow = new AnyrowSDK({
  baseURL: "https://api.anyrow.ai",
  headers: { Authorization: `ApiKey ${process.env.ANYROW_API_KEY}` },
})

const { data, error } = await anyrow.webhook.test({
  params: {
    organization_id: "{organization_id}",
    id: "{id}"
  },
})
```

```bash title="cURL"
curl -X POST 'https://api.anyrow.ai/v1/organizations/{organization_id}/webhooks/{id}/test' \
  -H 'Authorization: ApiKey {your_api_key}'
```

```js title="JavaScript"
const response = await fetch("https://api.anyrow.ai/v1/organizations/{organization_id}/webhooks/{id}/test", {
  method: "POST",
  headers: {
    Authorization: "ApiKey {your_api_key}",
  },
})
const data = await response.json()
```

```python title="Python"
import requests

response = requests.post(
    "https://api.anyrow.ai/v1/organizations/{organization_id}/webhooks/{id}/test",
    headers={
        "Authorization": "ApiKey {your_api_key}",
    },
)
print(response.json())
```

## Response

```json title="200"
{
  "http_status": 0,
  "response_body": "string",
  "status": "error"
}
```
